Bug 496944 - CVE-2009-0146 CVE-2009-0147 CVE-2009-0166 CVE-2009-0799 CVE-2009-0800 CVE-2009-1179 CVE-2009-1180 CVE-2009-1181 CVE-2009-1182 CVE-2009-1183 CVE-2009-1187 CVE-2009-1188 poppler various flaws [F11]
CVE-2009-0146 CVE-2009-0147 CVE-2009-0166 CVE-2009-0799 CVE-2009-0800 CVE-200...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks: CVE-2009-0146/CVE-2009-0195 CVE-2009-0147 CVE-2009-0166 CVE-2009-0799 CVE-2009-0800 CVE-2009-1179 CVE-2009-1180 CVE-2009-1181 CVE-2009-1182 CVE-2009-1183 CVE-2009-1187 CVE-2009-1188
  Show dependency treegraph
 
Reported: 2009-04-21 14:25 EDT by Jan Lieskovsky
Modified: 2009-07-16 03:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.10.7-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 03:22:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-04-21 14:25:36 EDT
Fdevel tracking bug: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes in the 'blocks' bugs.

NOTE THIS ISSUE IS CURRENTLY EMBARGOED, DO NOT MAKE PUBLIC COMMITS OR COMMENTS ABOUT THIS ISSUE.

[bug automatically created by: add-tracking-bugs]
Comment 1 Tomas Hoger 2009-04-24 04:28:21 EDT
Fixed upstream in 0.10.6.
Comment 2 Tomas Hoger 2009-04-24 04:33:23 EDT
Affects F11 too, but there's no 11 in version list in BZ yet.
Comment 3 Bug Zapper 2009-06-09 10:20:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Rex Dieter 2009-06-22 15:58:54 EDT
from the initial comment, it's unclear whether this continues to be embargoed or not.  I'd guess not, but... ??

In particular, I've got an update prepared...
Comment 5 Tomas Hoger 2009-06-23 17:26:01 EDT
It's public, fixed upstream in 0.10.6.  IIRC, upstream commit should be easy to find in poppler's git.
Comment 6 Fedora Update System 2009-06-26 22:43:36 EDT
poppler-0.10.7-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update poppler'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6972
Comment 7 Fedora Update System 2009-07-16 03:22:22 EDT
poppler-0.10.7-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.